summaryrefslogtreecommitdiffstats
path: root/target/linux/generic-2.6/patches-2.6.21/209-mini_fo.patch
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/generic-2.6/patches-2.6.21/209-mini_fo.patch')
-rw-r--r--target/linux/generic-2.6/patches-2.6.21/209-mini_fo.patch80
1 files changed, 21 insertions, 59 deletions
diff --git a/target/linux/generic-2.6/patches-2.6.21/209-mini_fo.patch b/target/linux/generic-2.6/patches-2.6.21/209-mini_fo.patch
index 10cabec40..537177950 100644
--- a/target/linux/generic-2.6/patches-2.6.21/209-mini_fo.patch
+++ b/target/linux/generic-2.6/patches-2.6.21/209-mini_fo.patch
@@ -1,7 +1,5 @@
-Index: linux-2.6.21.7/fs/Kconfig
-===================================================================
---- linux-2.6.21.7.orig/fs/Kconfig
-+++ linux-2.6.21.7/fs/Kconfig
+--- a/fs/Kconfig
++++ b/fs/Kconfig
@@ -461,6 +461,9 @@ config OCFS2_DEBUG_MASKLOG
This option will enlarge your kernel, but it allows debugging of
ocfs2 filesystem issues.
@@ -12,10 +10,8 @@ Index: linux-2.6.21.7/fs/Kconfig
config MINIX_FS
tristate "Minix fs support"
help
-Index: linux-2.6.21.7/fs/Makefile
-===================================================================
---- linux-2.6.21.7.orig/fs/Makefile
-+++ linux-2.6.21.7/fs/Makefile
+--- a/fs/Makefile
++++ b/fs/Makefile
@@ -72,6 +72,7 @@ obj-$(CONFIG_SQUASHFS) += squashfs/
obj-$(CONFIG_RAMFS) += ramfs/
obj-$(CONFIG_HUGETLBFS) += hugetlbfs/
@@ -24,10 +20,8 @@ Index: linux-2.6.21.7/fs/Makefile
obj-$(CONFIG_MINIX_FS) += minix/
obj-$(CONFIG_FAT_FS) += fat/
obj-$(CONFIG_MSDOS_FS) += msdos/
-Index: linux-2.6.21.7/fs/mini_fo/aux.c
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/aux.c
++++ b/fs/mini_fo/aux.c
@@ -0,0 +1,580 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -609,10 +603,8 @@ Index: linux-2.6.21.7/fs/mini_fo/aux.c
+
+#endif /* unused */
+
-Index: linux-2.6.21.7/fs/mini_fo/ChangeLog
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/ChangeLog
++++ b/fs/mini_fo/ChangeLog
@@ -0,0 +1,281 @@
+2006-01-24 Markus Klotzbuecher <mk@mary.denx.de>
+
@@ -895,10 +887,8 @@ Index: linux-2.6.21.7/fs/mini_fo/ChangeLog
+ * Implementation of mini_fo_mknod and mini_fo_rename, support
+ for device files.
+
-Index: linux-2.6.21.7/fs/mini_fo/dentry.c
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/dentry.c
++++ b/fs/mini_fo/dentry.c
@@ -0,0 +1,244 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -1144,10 +1134,8 @@ Index: linux-2.6.21.7/fs/mini_fo/dentry.c
+ d_delete: mini_fo_d_delete,
+ d_iput: mini_fo_d_iput,
+};
-Index: linux-2.6.21.7/fs/mini_fo/file.c
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/file.c
++++ b/fs/mini_fo/file.c
@@ -0,0 +1,713 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -1862,10 +1850,8 @@ Index: linux-2.6.21.7/fs/mini_fo/file.c
+ /* not implemented: sendpage */
+ /* not implemented: get_unmapped_area */
+ };
-Index: linux-2.6.21.7/fs/mini_fo/fist.h
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/fist.h
++++ b/fs/mini_fo/fist.h
@@ -0,0 +1,252 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -2119,10 +2105,8 @@ Index: linux-2.6.21.7/fs/mini_fo/fist.h
+# define FIST_IOCTL_SET_DEBUG_VALUE _IOW(0x15, 2, int)
+
+#endif /* not __FIST_H_ */
-Index: linux-2.6.21.7/fs/mini_fo/inode.c
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/inode.c
++++ b/fs/mini_fo/inode.c
@@ -0,0 +1,1564 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -3688,10 +3672,8 @@ Index: linux-2.6.21.7/fs/mini_fo/inode.c
+ removexattr: mini_fo_removexattr
+# endif /* XATTR && LINUX_VERSION_CODE >= KERNEL_VERSION(2,4,20) */
+ };
-Index: linux-2.6.21.7/fs/mini_fo/main.c
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/main.c
++++ b/fs/mini_fo/main.c
@@ -0,0 +1,423 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -4116,10 +4098,8 @@ Index: linux-2.6.21.7/fs/mini_fo/main.c
+
+module_init(init_mini_fo_fs)
+module_exit(exit_mini_fo_fs)
-Index: linux-2.6.21.7/fs/mini_fo/Makefile
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/Makefile
++++ b/fs/mini_fo/Makefile
@@ -0,0 +1,17 @@
+#
+# Makefile for mini_fo 2.4 and 2.6 Linux kernels
@@ -4138,10 +4118,8 @@ Index: linux-2.6.21.7/fs/mini_fo/Makefile
+# dependencies
+${mini_fo-objs}: mini_fo.h fist.h
+
-Index: linux-2.6.21.7/fs/mini_fo/meta.c
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/meta.c
++++ b/fs/mini_fo/meta.c
@@ -0,0 +1,1000 @@
+/*
+ * Copyright (C) 2004, 2005 Markus Klotzbuecher <mk@creamnet.de>
@@ -5143,10 +5121,8 @@ Index: linux-2.6.21.7/fs/mini_fo/meta.c
+ return 0;
+}
+
-Index: linux-2.6.21.7/fs/mini_fo/mini_fo.h
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/mini_fo.h
++++ b/fs/mini_fo/mini_fo.h
@@ -0,0 +1,510 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -5658,10 +5634,8 @@ Index: linux-2.6.21.7/fs/mini_fo/mini_fo.h
+/* ioctls */
+
+#endif /* not __MINI_FO_H_ */
-Index: linux-2.6.21.7/fs/mini_fo/mini_fo-merge
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/mini_fo-merge
++++ b/fs/mini_fo/mini_fo-merge
@@ -0,0 +1,180 @@
+#!/bin/bash
+#
@@ -5843,10 +5817,8 @@ Index: linux-2.6.21.7/fs/mini_fo/mini_fo-merge
+#rm $TMP/$SKIP_DEL_LIST
+
+echo "Done!"
-Index: linux-2.6.21.7/fs/mini_fo/mini_fo-overlay
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/mini_fo-overlay
++++ b/fs/mini_fo/mini_fo-overlay
@@ -0,0 +1,130 @@
+#!/bin/bash
+#
@@ -5978,10 +5950,8 @@ Index: linux-2.6.21.7/fs/mini_fo/mini_fo-overlay
+if [ $? -ne 0 ]; then
+ echo "Error, mounting failed, maybe no permisson to mount?"
+fi
-Index: linux-2.6.21.7/fs/mini_fo/mmap.c
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/mmap.c
++++ b/fs/mini_fo/mmap.c
@@ -0,0 +1,637 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -6620,10 +6590,8 @@ Index: linux-2.6.21.7/fs/mini_fo/mmap.c
+ print_exit_status(err);
+ return err;
+}
-Index: linux-2.6.21.7/fs/mini_fo/README
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/README
++++ b/fs/mini_fo/README
@@ -0,0 +1,163 @@
+README for the mini_fo overlay file system
+=========================================
@@ -6788,10 +6756,8 @@ Index: linux-2.6.21.7/fs/mini_fo/README
+2 of the License, or (at your option) any later version.
+
+
-Index: linux-2.6.21.7/fs/mini_fo/RELEASE_NOTES
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/RELEASE_NOTES
++++ b/fs/mini_fo/RELEASE_NOTES
@@ -0,0 +1,111 @@
+Release: mini_fo-0.6.1 (v0-6-1)
+Date: 21.09.2005
@@ -6904,10 +6870,8 @@ Index: linux-2.6.21.7/fs/mini_fo/RELEASE_NOTES
+original state. I hope to fix this someday. Please note that this does
+not effect the special hard links '.' and '..', that are handled
+seperately by the lower fs.
-Index: linux-2.6.21.7/fs/mini_fo/state.c
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/state.c
++++ b/fs/mini_fo/state.c
@@ -0,0 +1,620 @@
+/*
+ * Copyright (C) 2005 Markus Klotzbuecher <mk@creamnet.de>
@@ -7529,10 +7493,8 @@ Index: linux-2.6.21.7/fs/mini_fo/state.c
+ return err;
+}
+
-Index: linux-2.6.21.7/fs/mini_fo/super.c
-===================================================================
--- /dev/null
-+++ linux-2.6.21.7/fs/mini_fo/super.c
++++ b/fs/mini_fo/super.c
@@ -0,0 +1,281 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok